Bug 127281 - tomcat doesn't start properly
tomcat doesn't start properly
Status: CLOSED NOTABUG
Product: Red Hat Application Server Public Beta
Classification: Retired
Component: tomcat (Show other bugs)
1.0-beta2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fernando Nasser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-05 17:33 EDT by Elliot Peele
Modified: 2007-04-18 13:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-13 19:36:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliot Peele 2004-07-05 17:33:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040521 Epiphany/1.2.4

Description of problem:
When trying to start tomcat I get an error that it can not find
/usr/lib/jvm-exports/java because it wasn't created when tomcat got
installed. I imagine this is probably a problem with some package not
having the right requires or a symlink not getting created.

Also /usr/lib/jvm/java/bin/java doesn't exist.

Version-Release number of selected component (if applicable):
tomcat4-4.1.29-3jpp_7rh

How reproducible:
Always

Steps to Reproduce:
1. start with fresh install of rhel3 
2. entitle machine for application server sub channel
3. up2date --nox -i tomcat4
4. /etc/rc.d/init.d/tomcat4 start
    

Actual Results:  Starting tomcat4: lock file found but no process
running for pid 31357, continuing
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR
/usr/lib/jvm-exports/java does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR
/usr/lib/jvm-exports/java does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR
/usr/lib/jvm-exports/java does not exist or is not a directory
/usr/bin/rebuild-jar-repository: error: JVM_LIBDIR
/usr/lib/jvm-exports/java does not exist or is not a directory

Expected Results:  start normally

Additional info:
Comment 1 Fernando Nasser 2004-07-12 14:37:56 EDT
Did you remember to do an up2date on your system _before_ trying to
install the Beta?




Comment 3 Elliot Peele 2004-07-12 16:38:35 EDT
I think so...
Comment 4 Fernando Nasser 2004-07-12 18:52:52 EDT
Can you issue as root the folloowing commands and send the output to us:

alternatives --display java

alternatives --display java_sdk_1.4.1

(you are using ibm 1.4.1 if I remember correctly)
Comment 5 Elliot Peele 2004-07-12 19:15:42 EDT
[root@henry root]# alternatives --display java
java - status is auto.
 link currently points to /usr/lib/jvm/jre-1.4.2-bea/bin/java
/usr/lib/jvm/jre-1.4.2-bea/bin/java - priority 1420
 slave keytool: /usr/lib/jvm/jre-1.4.2-bea/bin/keytool
 slave orbd: /usr/lib/jvm/jre-1.4.2-bea/bin/orbd
 slave policytool: /usr/lib/jvm/jre-1.4.2-bea/bin/policytool
 slave rmid: /usr/lib/jvm/jre-1.4.2-bea/bin/rmid
 slave rmiregistry: /usr/lib/jvm/jre-1.4.2-bea/bin/rmiregistry
 slave servertool: /usr/lib/jvm/jre-1.4.2-bea/bin/servertool
 slave tnameserv: /usr/lib/jvm/jre-1.4.2-bea/bin/tnameserv
 slave jre_exports: /usr/lib/jvm-exports/jre-1.4.2-bea
 slave jre: /usr/lib/jvm/jre-1.4.2-bea
 slave javaws: (null)
 slave java.1.gz: /usr/share/man/man1/java-java-1.4.2-bea.1.gz
 slave javaws.1.gz: /usr/share/man/man1/javaws-java-1.4.2-bea.1.gz
 slave keytool.1.gz: /usr/share/man/man1/keytool-java-1.4.2-bea.1.gz
 slave kinit.1.gz: /usr/share/man/man1/kinit-java-1.4.2-bea.1.gz
 slave klist.1.gz: /usr/share/man/man1/klist-java-1.4.2-bea.1.gz
 slave ktab.1.gz: /usr/share/man/man1/ktab-java-1.4.2-bea.1.gz
 slave orbd.1.gz: /usr/share/man/man1/orbd-java-1.4.2-bea.1.gz
 slave policytool.1.gz: /usr/share/man/man1/policytool-java-1.4.2-bea.1.gz
 slave rmid.1.gz: /usr/share/man/man1/rmid-java-1.4.2-bea.1.gz
 slave rmiregistry.1.gz:
/usr/share/man/man1/rmiregistry-java-1.4.2-bea.1.gz
 slave servertool.1.gz: /usr/share/man/man1/servertool-java-1.4.2-bea.1.gz
 slave tnameserv.1.gz: /usr/share/man/man1/tnameserv-java-1.4.2-bea.1.gz
/usr/lib/jvm/java-1.4.1-ibm-1.4.1.2/jre/bin/java - priority 1412
 slave keytool: /usr/lib/jvm/java-1.4.1-ibm-1.4.1.2/jre/bin/keytool
 slave orbd: (null)
 slave policytool: /usr/lib/jvm/java-1.4.1-ibm-1.4.1.2/jre/bin/policytool
 slave rmid: /usr/lib/jvm/java-1.4.1-ibm-1.4.1.2/jre/bin/rmid
 slave rmiregistry:
/usr/lib/jvm/java-1.4.1-ibm-1.4.1.2/jre/bin/rmiregistry
 slave servertool: (null)
 slave tnameserv: /usr/lib/jvm/java-1.4.1-ibm-1.4.1.2/jre/bin/tnameserv
 slave jre_exports: /usr/lib/jvm-exports/java-1.4.1-ibm-1.4.1.2
 slave jre: /usr/lib/jvm/java-1.4.1-ibm-1.4.1.2/jre
 slave javaws: /usr/lib/jvm/java-1.4.1-ibm-1.4.1.2/jre/javaws
 slave java.1.gz: (null)
 slave javaws.1.gz: (null)
 slave keytool.1.gz: (null)
 slave kinit.1.gz: (null)
 slave klist.1.gz: (null)
 slave ktab.1.gz: (null)
 slave orbd.1.gz: (null)
 slave policytool.1.gz: (null)
 slave rmid.1.gz: (null)
 slave rmiregistry.1.gz: (null)
 slave servertool.1.gz: (null)
 slave tnameserv.1.gz: (null)
Current `best' version is /usr/lib/jvm/jre-1.4.2-bea/bin/java.
[root@henry root]# alternatives --display java_sdk_1.4.1
java_sdk_1.4.1 - status is auto.
 link currently points to /usr/lib/jvm/java-1.4.1-ibm-1.4.1.2
/usr/lib/jvm/java-1.4.1-ibm-1.4.1.2 - priority 1412
 slave java_sdk_1.4.1_exports: /usr/lib/jvm-exports/java-1.4.1-ibm-1.4.1.2
Current `best' version is /usr/lib/jvm/java-1.4.1-ibm-1.4.1.2.
Comment 6 Elliot Peele 2004-07-13 19:36:13 EDT
This was fixed by reinstalling the javamail and upgrading jaf

Note You need to log in before you can comment on or make changes to this bug.